                 SOLVE HITCHIKER'S GUIDE TO THE GALAXY
                 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* NOTE: THESE ARE THE EXACT COMMANDS NEEDED TO SOLVE THE VERSION OF
  INFOCOM'S "HITCHHIKER'S GUIDE TO THE GALAXY" CRACKED BY FINEOUS FINGERS
  OF THE 1200 CLUB. THESE ARE NOT HINTS! 
  
     FIRST, A BIT OF EXPLANATION. THE REASON THIS TUTORIAL ONLY WORKS ON
VERSIONS OF "HITCHHIKER'S GUIDE" CRACKED BY FF IS BECAUSE THIS SOLVER OFTEN
UTILIZES SEVERAL COMMANDS ("$FO", FOR EXAMPLE), THAT ONLY WORK ON TEST
COPIES, WHICH IS WHAT THE CRACKED COPY IS. THESE '$' COMMANDS MAY OR MAY NOT
WORK ON AN ORIGINAL. THE REASON THESE COMMANDS ARE USED IN THE SOLVER IS
SIMPLY BECAUSE THE CRACKED GAME STILL HAS SEVERAL BUGS IN IT THAT PREVENT
SOLVING IT SMOOTHLY.  THEREFORE, THESE '$' COMMANDS ARE USED TO AVOID RANDOM
SITUATIONS IN THE GAME WHICH MAY NEGATIVELY ALTER THE OUTCOME OF THE
ADVENTURE. WHEN A WAY TO SOLVE THE GAME WITHOUT USING THESE SPECIAL COMMANDS
IS FOUND, THIS TUTORIAL WILL BE REWRITTEN AND RE-DISTRIBUTED.
  
     COMMANDS ARE ENCLOSED IN QUOTES AND SHOULD BE TYPED IN EXACTLY AS THEY
ARE SEEN. 
  
DIRECTIONAL MOVEMENTS ARE ENCLOSED IN BRACKETS.  COMMENTS ARE PRECEDED BY
"->" OR ENCLOSED IN PARENTHESIS. SAVING THE GAME FREQUENTLY IS STRONGLY
RECOMMENDED! 
  
======================================== 
  
-> YOU (ARTHUR DENT) WAKE UP IN YOUR BED ON THIS THURSDAY, THE WORST DAY OF
   YOUR LIFE. 
  
     "TURN ON LIGHT", "GET UP", "GET GOWN", "WEAR GOWN", "OPEN POCKET",
"GET ASPIRIN AND FLUFF", "GET SCREWDRIVER AND TOOTHBRUSH", [S], "GET MAIL",
[S], "BLOCK BULLDOZER" 
  
     -> YOU ARE NOW LYING IN THE MUD IN FRONT OF THE BULLDOZER, PROTECTING
YOUR HOUSE FROM SURE DESTRUCTION. YOUR FRIEND, FORD PREFECT WILL APPEAR AND
OFFER YOU A TOWEL. IGNORE HIM AND KEEP WAITING. 
  
     "WAIT" (SEVERAL TIMES UNTIL PROSSER TAKES YOUR PLACE IN THE MUD), [S,W],
"EXAMINE SHELF", "BUY SANDWICH", "DRINK BEER", "DRINK BEER", "DRINK BEER",
[E], "FEED DOG", "WAIT" (UNTIL THE VOGON SHIPS ARRIVE AND FORD DROPS HIS
DEVICE), "GET DEVICE", "PUSH GREEN" 
  
     -> YOU ARE NOW IN THE "DARK", ABOARD THE VOGON CONSTRUCTOR SHIP.  [E],
"SMELL", "SMELL", "SMELL", "SMELL", "EXAMINE SHADOW", "EAT PEANUTS",
"REMOVE GOWN", "HANG GOWN ON HOOK", "GET TOWEL", "COVER DRAIN WITH TOWEL",
"GET SATCHEL", "PUT SATCHEL IN FRONT OF PANEL", "PUT MAIL ON SATCHEL",
"PUSH BUTTON" 
  
     -> YOU SHOULD NOW HAVE A BABEL FISH IN YOUR EAR.  "TURN SWITCH" (AND
NOTE WHICH WORD <FIRST, SECOND, OR THIRD> YOU'LL NEED FROM THE CAPTAIN'S
FAVORITE POEM TO OPEN THE CASE), "GET GOWN AND TOWEL", "WEAR GOWN", "WAIT"
(UNTIL YOU ARE IN THE POETRY APPRECIATION CHAIRS AND THE CAPTAIN IS READING
HIS POETRY), "ENJOY POETRY", "WAIT" (UNTIL THE CAPTAIN READS THE SECOND
VERSE, AND NOTE THE WORD YOU WILL NEED TO TYPE TO OPEN THE VECTOR PLOTTER
CASE), "WAIT" (UNTIL YOU ARE THROWN INTO BACK INTO THE HOLD WHILE FORD TRIES
TO TALK THE GUARD INTO A SUDDEN CAREER CHANGE), "TYPE "XXXXX"" (THE WORD
FROM THE POEM), "GET PLOTTER", "WAIT" (UNTIL YOU AND FORD ARE THROWN INTO
THE AIRLOCKAND BLOWN OUT INTO SPACE.) 
  
     -> YOU AND FORD ARE NOW ABOARD "THE HEART OF GOLD", A NEW SPACESHIP
POWERED BY THE NEWLY INVENTED IMPROBABILITY DRIVE.  [E], "HEAR", "HEAR",
"HEAR", "HEAR", [S,S], (FORD WILL LEAD YOU TO THE BRIDGE), "DROP PLOTTER AND
GUIDE AND DEVICE", "GET CHISEL", [D,S,S,S,S,S,S], "LOOK", "LOOK", "GET
PLIERS AND RASP", [N,D], "DROP CHISEL AND PLIERS AND RASP AND SCREWDRIVER
AND TOOTHBRUSH", [U,S], "GET DRIVE", [N,N,W], "PUSH PAD", "GET CUP", [E,U],
"DROP CUP AND DRIVE", "PLUG SHORT CORD INTO SMALL RECEPTACLE", "PLUG LONG
CORD INTO LARGE RECEPTACLE", "PUT DANGLY BIT IN CUP", "$TR" 
  
     -> THE '$TR' COMMAND HAS NOW PLACED YOU ONCE AGAIN IN "DARK"...  BUT
YOU'RE NOW IN THE LAIR OF THE NOTORIOUS BUGBLATTER BEAST OF TRAAL.  [E],
"SMELL", "SMELL", "SMELL", "SMELL", "EXAMINE SHADOW", "SAY "ARTHUR DENT"",
[E], "GET STONE", "COVER HEAD WITH TOWEL", "CARVE "ARTHUR DENT" IN
MEMORIAL", "REMOVE TOWEL", [W,SW], "GET INTERFACE", "DROP STONE", "WAIT"
(UNTIL THE MEN ARRIVE, TAKE YOU AWAY, AND AFTER YOU'RE IN "DARK"...)   
  
     -> ...SURPRISE! YOU'RE BACK ON THE HEART OF GOLD! [E], "HEAR", "HEAR",
"HEAR", "HEAR", [S,S,W], "OPEN PANEL", "GET BOARD", "DROP BOARD", "PUT
INTERFACE IN PANEL", "CLOSE PANEL", [E,S,D], "DROP CHIPPER", "$ZA"   
  
     -> BACK IN "DARK", BUT YOU'LL SOON TAKE THE PART OF ZAPHOD BEEBLEBROX
ON A VERY SPECIAL MISSION...  [E], "SEE", "SEE", "SEE", "SEE", "EXAMINE
LIGHT", "LOOK UNDER SEAT", "GET ALL", "STEER TOWARD CLIFF", "WAIT" (UNTIL
THE BOAT COMES TO A HALT SOUTH OF THE CEREMONIAL DIAS), "GET UP", [N],
"WAIT" (UNTIL TRILLIAN COMES FORWARD AND PUTS A GUN TO YOUR HEAD), "GUARD,
DROP RIFLES", "TRILLIAN, SHOOT RIFLES", [E]   
  
     -> TA DA! BACK TO THE HEART OF GOLD! [E], "HEAR", "HEAR", "HEAR",
"HEAR", [S,S,S,D], "GET FLUFF AND KEY", "OPEN BOX WITH KEY", "DROP KEY",
"$FO"   
  
     -> NOW YOU'LL BECOME FORD ON EARTH, GOING THROUGH THE SAME MOTIONS
FROM THE START OF THE GAME...  [E], "SEE", "SEE", "SEE", "SEE", "EXAMINE
LIGHT", [N], "OPEN SATCHEL", "GIVE FLUFF TO ARTHUR", "OFFER TOWEL", TO
ARTHUR", "IDIOT", "GO TO PROSSER", "PROSSER, LIE IN MUD", [S,W], "BUY BEER",
"DRINK BEER", "DRINK BEER", [E], "GET DEVICE", "WAIT" (UNTIL THE VOGON SHIPS
ARRIVE AND ARTHUR GETS THE THUMB AND PRESSES THE BUTTON)
  
     -> "DARK", YET AGAIN. BACK ON THE GOOD OL' HEART OF GOLD...  [E],
"HEAR", "HEAR", "HEAR", "HEAR", [S], "I" (YOU SHOULD HAVE THE SATCHEL FLUFF
IN THE POCKET OF YOUR GOWN), "GET SATCHEL FLUFF", $PA   
  
     -> THIS TIME YOU BECOME TRILLIAN AT A PARTY ON EARTH...  [E], "FEEL",
"FEEL", "FEEL", "FEEL", "DRINK LIQUID", "OPEN BAG", "EXAMINE ARTHUR", "DROP
GLASS", "GET FLUFF", "PUT FLUFF IN BAG", "GET GLASS", "WAIT" (OR DO WHAT
YOU CAN TO AVOID THE HOSTESS UNTIL "PHIL" APPROACHES YOU AND TAKES YOU
OUTSIDE) *NOTE: DURING THIS STAGE OF THE GAME DO NOT TALK TO THE HOSTESS OR
AN ERROR WILL OCCUR, AND THE GAME WILL END.    
  
     -> GETTING USED TO "DARK"? DON'T WORRY, YOU'LL ONLY HAVE TO DO THIS A
FEW MORE TIMES...  [E], "HEAR", "HEAR", "HEAR", "HEAR", [S,S,U], "OPEN BAG",
"GET TWEEZERS AND JACKET FLUFF", [D,S,D], "DROP TWEEZERS", "$FL"
  
     -> THIS TIME YOU'RE ACTUALLY ARTHUR, BUT YOU'RE NOW ABOARD AN ALIEN
SPACESHIP HEADED FOR EARTH...  [E], "HEAR", "HEAR", "HEAR", "HEAR", [S],
"GET AWL", "LISTEN", "WAIT" (UNTIL AFTER YOU'VE PASSED EARTH AND THE DOG)
  
     -> NOW YOU ARE IN A STRANGE MAZE WHICH IS ACTUALLY ARTHUR'S BRAIN. JUST
MOVE A FEW DIRECTIONS OR SO, UNTIL A PARTICLE BLOCKS YOUR WAY. AND BE SURE
NOT TO DROP ANYTHING! (ONCE YOU'RE BY THE PARTICLE TYPE...) "GET PARTICLE"
  
     -> ...AND IT'S BACK TO THE HEART OF GOLD WE GO! [E], "HEAR", "HEAR",
"HEAR", "HEAR", [S,S,S,D],"INCERT CARD", "PUSH PAD", [E,U], "WAIT" (UNTIL
THESHIP'S COMPUTER ANNOUNCES THAT MAGRATHEAN MISSILES HAVE BEEN LAUNCHED AT
THESHIP), "TURN SWITCH"
  
     -> NOW THE MISSILES SHOULD HAVE CHANGED THEIR FORM SLIGHTLY...  [D,W],
"GET TEA", "GET NO TEA", [E,S], "SHOW TEA AND NO TEA TO DOOR", "DRINK TEA",
[N,U]   

     -> NOW WOULD BE A GOOD TIME TO SAVE THE GAME...  "TURN SWITCH", (IF
YOU SEE "BUG #60", THAT'S GOOD. IF NOT, RESTORE THE GAME AND KEEP TURNING
THE SWITCH 'TIL YOU DO...) (AFTER "BUG #60"...), [E], "FEEL", "FEEL",
"FEEL", "FEEL", "DRINK LIQUID", "PLANT ALL FLUFF IN POT", "$HE"

     -> YOU'LL SOON BE BACK ON THE HEART OF GOLD, BUT NOT FOR LONG...  [E],
"HEAR", "HEAR", "HEAR", "HEAR", [S,S,U], "PLUG SHORT CORD INTO SMALL
RECEPTACLE", "PUT DANGLY BIT IN CUP"

     -> SAVE THE GAME AGAIN...  "TURN SWITCH", (RESTORE AND TRY AGAIN UNTIL
YOU SEE "BUG #60" AGAIN...), [E], "FEEL", "FEEL", "FEEL", "FEEL", "DRINK
LIQUID", "EXAMINE POT", (THERE SHOULD BE A SMALL STALK GROWING THERE), "GET
POT", "$HE"

     -> RELAX, BECAUSE THIS IS THE LAST TIME YOU'LL BE VISITING THE "DARK".
ENJOY IT WHILE IT LASTS...  [E], "HEAR", "HEAR", "HEAR", "HEAR", [S,S,U,W,D,
S,W], "MARVIN, OPEN HATCH", "EAT FRUIT", (EATING THE FRUIT WILL TELL YOU
WHICH RANDOM TOOL MARVIN NEEDS TO OPEN THE HATCH), [E,D], "DROP ALL", "GET
XXXXX" (WHICH EVER TOOL MARVIN NEEDS), [E], "WAIT", (UNTIL MARVIN SHAMBLES
IN AND ASKS YOU FOR THE TOOL), "GIVE XXXXX" (TOOL), [W,D]

     -> CONGRATULATIONS! YOU HAVE STEPPED ONTO THE SURFACE OF THE LEGENDARY
PLANET OF MAGRATHEA AND HAVE SOLVED "THE HITCHHIKER'S GUIDE TO THE GALAXY"
WITH ALL 400 POINTS!...
